Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java	(revision 3830)
@@ -36,6 +36,14 @@
 	public static String rightContext_2; 
 	public static String none; 
 	public static String concordanceOfP0InTheP1Corpus;
+
+
+
+	public static String CQPErrorP0;
+
+
+
+	public static String NoQuery;
 	
 	
 	static {
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages.properties	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/messages/messages.properties	(revision 3830)
@@ -3,6 +3,7 @@
 compositeColon=Composite\: 
 concordanceOfP0InTheP1Corpus=Concordance of {0}>in {1} corpus...
 context=Context
+CQPErrorP0=** CQP error: {0}
 failedToExportConcordanceColonP0=** Failed to export concordance\: {0}.
 failedToGetTextsLimitsColonP0=** Failed to retrieve texts limits\: {0}.
 failedToRetrieveTextidPropertyFromLines=** Failed to retrieve the 'text_id' property from rows
@@ -10,6 +11,7 @@
 leftContext=LeftContext
 leftContext_2=Left context
 none=None
+NoQuery=<no query>
 reference=Reference
 references=References
 RESULT_TYPE=Concordance
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 3830)
@@ -278,7 +278,7 @@
 	
 	@Override
 	public String toString() {
-		return match.toString() + "=" + keywordsViewValues;
+		return match.toString() + "=" + keywordsViewValues; //$NON-NLS-1$
 	}
 	
 	/**
@@ -293,7 +293,7 @@
 	public String leftContextToString(String propertySeparator,
 			String wordSeparator, int limit, LineDecorator decorator) {
 		
-		if (getLeftContextSize() == 0) return "";
+		if (getLeftContextSize() == 0) return ""; //$NON-NLS-1$
 		
 		int currentPos = keywordpos - getLeftContextSize();
 		
@@ -307,7 +307,7 @@
 			for (Property property : values.keySet()) {
 				List<String> ivalues = values.get(property);
 				if (ivalues == null) {
-					System.out.println("ERROR: null ivalues in " + values + " for property " + property);
+					System.out.println("ERROR: null ivalues in " + values + " for property " + property); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				else {
 					word.add(ivalues.get(i));
@@ -361,7 +361,7 @@
 				word.add(values.get(property).get(i));
 			
 			if (currentPos == targetpos) { // highlight the @ target
-				words.add("[" + StringUtils.join(word, propertySeparator) + "]");
+				words.add("[" + StringUtils.join(word, propertySeparator) + "]"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			else {
 				words.add(StringUtils.join(word, propertySeparator));
@@ -403,7 +403,7 @@
 	public String rightContextToString(String propertySeparator,
 			String wordSeparator, int limit, LineDecorator decorator) {
 		int s = getKeywordsSize();
-		if (s == 0) return "";
+		if (s == 0) return ""; //$NON-NLS-1$
 		
 		List<String> words = new ArrayList<>();
 		Map<Property, List<String>> values = getRightCtxViewProperties();
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LocalizedLineComparator.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LocalizedLineComparator.java	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LocalizedLineComparator.java	(revision 3830)
@@ -70,7 +70,7 @@
 	 * @param locale the new locale
 	 */
 	public void setLocale(Locale locale) {
-		Log.fine("Set comparator locale to "+locale);
+		Log.fine("Set comparator locale to "+locale); //$NON-NLS-1$
 		this.locale = locale;
 		this.collator = Collator.getInstance(locale);
 		this.collator.setStrength(Collator.TERTIARY);
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3830)
@@ -81,10 +81,10 @@
  */
 public class Concordance extends QueryBasedTXMResult {
 	
-	public static final String TARGET_SELECT = "Select";
-	public static final String TARGET_SHOW = "Show";
-	public static final String TARGET_KEEPLEFT = "Keep left";
-	public static final String TARGET_KEEPRIGHT = "Keep right";
+	public static final String TARGET_SELECT = "Select"; //$NON-NLS-1$
+	public static final String TARGET_SHOW = "Show"; //$NON-NLS-1$
+	public static final String TARGET_KEEPLEFT = "Keep left"; //$NON-NLS-1$
+	public static final String TARGET_KEEPRIGHT = "Keep right"; //$NON-NLS-1$
 	
 	/** The noconc. */
 	protected static int noconc = 1;;
@@ -255,14 +255,14 @@
 			this.availableRightSortProperties.removeAll(pAnalysisRightProperties);
 			
 			String refPropertyNames = this.getStringParameterValue(ConcordancePreferences.VIEW_REFERENCE_PATTERN);
-			String refPropertyNames2 = this.getCorpus().getProject().getCommandPreferences("concordance").get(ConcordancePreferences.VIEW_REFERENCE_PATTERN);
+			String refPropertyNames2 = this.getCorpus().getProject().getCommandPreferences("concordance").get(ConcordancePreferences.VIEW_REFERENCE_PATTERN); //$NON-NLS-1$
 			if (refPropertyNames2 != null && refPropertyNames2.length() > 0) {
 				ReferencePattern ref = ReferencePattern.stringToReferencePattern(this.getCorpus(), refPropertyNames2);
 				if (ref.getProperties().size() > 0) { // ensure the ref properties is well set
 					refPropertyNames = refPropertyNames2;
 				}
 			}
-			if ("*".equals(refPropertyNames)) {
+			if ("*".equals(refPropertyNames)) { //$NON-NLS-1$
 				Property refProperty = this.getCorpus().getProperty("ref");//$NON-NLS-1$
 				if (refProperty == null) {
 					StructuralUnitProperty sup_textid = this.getCorpus().getTextIdStructuralUnitProperty();
@@ -277,7 +277,7 @@
 			}
 			
 			refPropertyNames = this.getStringParameterValue(ConcordancePreferences.SORT_REFERENCE_PATTERN);
-			refPropertyNames2 = this.getCorpus().getProject().getCommandPreferences("concordance").get(ConcordancePreferences.SORT_REFERENCE_PATTERN);
+			refPropertyNames2 = this.getCorpus().getProject().getCommandPreferences("concordance").get(ConcordancePreferences.SORT_REFERENCE_PATTERN); //$NON-NLS-1$
 			if (refPropertyNames2 != null && refPropertyNames2.length() > 0) {
 				refPropertyNames = refPropertyNames2;
 			}
@@ -334,12 +334,12 @@
 		}
 		else {
 			try {
-				this.queryResult = pQuery.getSearchEngine().query(this.getCorpus(), pQuery, pQuery.getQueryString().replace(" ", "_") + "_concordance", true);
+				this.queryResult = pQuery.getSearchEngine().query(this.getCorpus(), pQuery, pQuery.getQueryString().replace(" ", "_") + "_concordance", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			} catch (Exception e) {
 				this.nLines = 0;
 				this.pTopIndex = 0;
 				this.lines = new ArrayList<>();
-				Log.warning("** CQP error: "+e.getMessage());
+				Log.warning(ConcordanceCoreMessages.CQPErrorP0+e.getMessage());
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -486,7 +486,7 @@
 	
 	@Override
 	public String[] getExportTXTExtensions() {
-		return new String[] { "*.csv" };
+		return new String[] { "*.csv" }; //$NON-NLS-1$
 	}
 	
 	/**
@@ -635,7 +635,7 @@
 //							i++;
 //						}
 //				} else {
-					Log.fine("Get CQL limit for query=" + pLimitCQL);
+					Log.fine("Get CQL limit for query=" + pLimitCQL); //$NON-NLS-1$
 					CQLLimitStarts = this.getCorpus().getStartLimits(pLimitCQL);
 					if (CQLLimitStarts.length > 0 && CQLLimitStarts[0] != 0) {
 						int[] tmp = new int[CQLLimitStarts.length + 1];
@@ -1006,7 +1006,7 @@
 	@Override
 	public String getComputingStartMessage() {
 		if (this.pQuery == null) {
-			return TXMCoreMessages.bind(ConcordanceCoreMessages.concordanceOfP0InTheP1Corpus, "<none>", this.getCorpus());
+			return TXMCoreMessages.bind(ConcordanceCoreMessages.concordanceOfP0InTheP1Corpus, ConcordanceCoreMessages.NoQuery, this.getCorpus());
 		}
 		else {
 			return TXMCoreMessages.bind(ConcordanceCoreMessages.concordanceOfP0InTheP1Corpus, this.pQuery.asString(), this.getCorpus());
@@ -1055,7 +1055,7 @@
 			}
 		}
 		catch (Exception e) {
-			System.out.println("Error: " + e);
+			System.out.println("Error: " + e); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
 		
@@ -1613,7 +1613,7 @@
 		String keyColSeparator = colseparator; // the separator is "" if export in CONTEXT mode
 		// write header and set keywordColumnSeparator
 		if (format == Format.CONTEXT) {
-			keyColSeparator = "";
+			keyColSeparator = ""; //$NON-NLS-1$
 			writer.write(
 					txtseparator + ConcordanceCoreMessages.reference + txtseparator
 					+ colseparator + txtseparator + ConcordanceCoreMessages.context + txtseparator
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/r/ConcordanceRTransformer.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/r/ConcordanceRTransformer.java	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/r/ConcordanceRTransformer.java	(revision 3830)
@@ -62,7 +62,7 @@
 				//+ ", query=\""+conc.query.getQueryString()+"\""
 				+ ")"); //$NON-NLS-1$
 
-		rw.eval("rm(concrefs, conclefts, conckeywords, concrights)");
+		rw.eval("rm(concrefs, conclefts, conckeywords, concrights)"); //$NON-NLS-1$
 		return symbol;
 	}
 
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/tests/TestConcordance.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/tests/TestConcordance.java	(revision 3829)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/tests/TestConcordance.java	(revision 3830)
@@ -62,7 +62,7 @@
 			if (subcorpusname != null) {
 				corpus = corpus.getSubcorpusByName(subcorpusname);
 			}
-			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString, "fr"));
+			CQLQuery query = new CQLQuery(CQLQuery.fixQuery(queryString, "fr")); //$NON-NLS-1$
 			
 			List<WordProperty> leftCSortProperties = new ArrayList<>();
 			for (String p : leftCSortPropertiesString)
